// Modem.h: interface for the CModem class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MODEM_H__8CE58CDB_FD83_4469_9A17_672FD3003108__INCLUDED_)
#define AFX_MODEM_H__8CE58CDB_FD83_4469_9A17_672FD3003108__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CommPort.h"

class CModem : public CCommPort
{
public:
	CModem();
	virtual ~CModem();

	BOOL GetNames(CStringList & strNameList, CStringList & strRateList);

	BOOL OpenDevice(HWND hMsgWnd, int iDeviceId, int iRateId);
	void CloseDevice();


protected:
	void WriteAT(CString strCommand);
	void WriteATSet(CString strSection);

	BOOL SetState(DCB *lpNewCommState, COMMTIMEOUTS *lpTimeOut);

protected:
	CString m_strKeyList[5];
	CString m_strModemKey;
};

#endif // !defined(AFX_MODEM_H__8CE58CDB_FD83_4469_9A17_672FD3003108__INCLUDED_)
